# Update Project Policy Priorities

Updates the priority of policies in a given project. Policies are numbered and then evaluated sequentially. The request body should contain a list of policy UUIDs in the desired order, starting from highest priority. The service returns a list or ordered policies.

Endpoint: PUT /api/v2.0/projects/{projectToken}/policies/priority
Version: 2.0
Security: bearer-key

## Path parameters:

  - `projectToken` (string, required)
    project UUID (by running Entities - Product > Get Product Projects) or Project Token (from the Mend SCA App: Integrate tab > Project Token).

## Request fields (application/json):

  - `uuids` (array, required)
    Example: ["123e4567-e89b-12d3-a456-426655440000"]

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (array)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.name` (string)
    Example: "A Policy"

  - `retVal.owner` (object)

  - `retVal.owner.uuid` (string, required)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.owner.name` (string)
    Example: "Jon Smith"

  - `retVal.owner.email` (string)
    Example: "jon.smith@mail.com"

  - `retVal.owner.userType` (string)
    Enum: "REGULAR", "SERVICE", "SCAN_SUMMARY_RECEIVER"

  - `retVal.owner.accountStatus` (string)
    Enum: "ACTIVE", "INACTIVE", "LOCKOUT"

  - `retVal.createdAt` (string)

  - `retVal.priority` (integer)
    1 is the lowest priority
    Example: 1

  - `retVal.filter` (object)

  - `retVal.filter.type` (string)

  - `retVal.action` (any)

  - `retVal.context` (object)

  - `retVal.context.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.context.name` (string)
    Example: "Context A"

  - `retVal.context.contextType` (string)
    Enum: "ORGS", "PRODUCTS", "PROJECTS"

  - `retVal.enabled` (boolean)

  - `retVal.modifiedAt` (string)

  - `retVal.modifiedBy` (string)
    Example: "jon.smith@mail.com"

  - `retVal.aggregatedPriority` (integer)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


